'SysAlive class: DeadEmail
'by Luke Huckaba (cougar694u) - luke@69cougar.com
'05/11/06
'
'This is for sending an e-mail when a host is considered dead

Imports System.IO
Imports System.Text
Imports System.Net.Mail

Public Class classDeadEmail

    Private Host As String

    Sub New()

    End Sub

    Sub New(ByVal HostString As String)
        Me.HostString = HostString
        SendEmail()
    End Sub

    Property HostString() As String
        Get
            Return Host
        End Get
        Set(ByVal value As String)
            Host = value
        End Set
    End Property

    Private Sub SendEmail()

        Dim sb As New StringBuilder()

        'this is building the body of the message)
        sb.Append("This is an Alert Message generated by SysAlive")
        sb.Append(vbCrLf)
        sb.Append(vbCrLf)
        sb.Append("The host " & Host & " is not responding.")
        sb.Append(vbCrLf)
        sb.Append(vbCrLf)
        sb.Append("It has not responded to the last 10 ping requests.")
        sb.Append(vbCrLf)
        sb.Append(vbCrLf)
        sb.Append("You will receive another e-mail if the host comes back online.")

        'now lets put the pieces of the e-mail together
        'Syntax should be self explanatory
        Dim mailMsg As New MailMessage(frmSysAlive.fromAddress, frmSysAlive.toAddress)
        With mailMsg

            'if CC & BCC are blank, don't add, but if they're not blank,
            'add their contents to the appropriate field
            If Not frmSysAlive.ccAddress = String.Empty Then
                .CC.Add(New MailAddress(frmSysAlive.ccAddress))
            End If

            If Not frmSysAlive.bccAddress = String.Empty Then
                .Bcc.Add(New MailAddress(frmSysAlive.bccAddress))
            End If

            'set the subject and add the string from above to the body
            .Subject = "ALERT!  " & Host & " is not responding!"
            .Body = sb.ToString

        End With

        Try
            'I left out the e-mail format message here because I assume it passed okay from the settings form
            Dim client As New SmtpClient(frmSysAlive.smtpServerAddress)
            client.Send(mailMsg)

        Catch exp As Exception
            MessageBox.Show("The following problem occurred when attempting to " & _
                "send your email: " & exp.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

End Class
