'SysAlive class: TestEmail
'by Luke Huckaba (cougar694u) - luke@69cougar.com
'05/11/06
'
'This is for sending a test e-mail when testing the configuration

Imports System.IO
Imports System.Text
Imports System.Net.Mail

Public Class classTestEmail


    Sub New()

    End Sub

    Sub New(ByVal test As Integer)
        sendEmail()
    End Sub

    Public Sub sendEmail()

        'the test e-mail sub is slightly different from the other two e-mail
        'subs.  It has a message box that tells the user that it worked.
        'it also has less of a body, but you can figure out the format.

        Dim sb As New StringBuilder()
        Dim cf As New classConfig

        sb.Append("This is a Test Message generated by SysAlive")
        sb.Append(vbCrLf)
        sb.Append(vbCrLf)
        sb.Append("If you're reading this, your configuration worked!")
        sb.Append(vbCrLf)
        sb.Append(vbCrLf)
        sb.Append("You are now set up to receive e-mail notifications through SysAlive.")

        Try


            Dim mailMsg As New MailMessage(frmSysAlive.fromAddress, frmSysAlive.toAddress)
            With mailMsg
                If Not frmSysAlive.ccAddress = String.Empty Then
                    .CC.Add(New MailAddress(frmSysAlive.ccAddress))
                End If

                If Not frmSysAlive.bccAddress = String.Empty Then
                    .Bcc.Add(New MailAddress(frmSysAlive.bccAddress))
                End If

                .Subject = "YES! Your configuration is golden!"
                .Body = sb.ToString

            End With

            Try
                Dim client As New SmtpClient(frmSysAlive.smtpServerAddress)
                client.Send(mailMsg)

                'Here's the confirmation message box
                MessageBox.Show("Your test e-mail has been sent. " & _
                "You should see it at your destination address(es) shortly", "Test OK!", MessageBoxButtons.OK, MessageBoxIcon.Information)

            Catch exp As Exception
                MessageBox.Show("The following problem occurred when attempting to " & _
                    "send your email: " & exp.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End Try
        Catch ex As Exception

            'This is to alert the user that there's most likely been a format issue with an e-mail address
            'the entered in one of the boxes
            MessageBox.Show("Please Check your e-mail addresses to make sure they're in the proper format. " & _
            ControlChars.NewLine & "Please use the name@domain.tld format", "Error", MessageBoxButtons.OK, MessageBoxIcon.Stop)

        End Try

    End Sub

End Class