'SysAlive child form: frmAddRemoveHost - for adding & removing hosts in the list box
'by Luke Huckaba (cougar694u) - luke@69cougar.com
'05/11/06

Imports System.IO

Public Class frmAddRemoveHost

    Dim writeSettings As IO.StreamWriter
    Dim readSettings As IO.StreamReader

    Private Sub frmRemoveHost_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        'this list box is independent from the other, but they both look at the same file
        'and does the same as the main form to populate the list
        If Not File.Exists(frmSysAlive.hostsFile) Then
            ipListBox.Items.Add("127.0.0.1")
        Else
            readSettings = New IO.StreamReader(frmSysAlive.hostsFile)
            While (readSettings.Peek() > -1)
                ipListBox.Items.Add(readSettings.ReadLine)
            End While
            readSettings.Close()
        End If

    End Sub

    Private Sub doneButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles quitButton.Click
        'When the user's done, it writes the new hosts.text file
        'clears the contents of the main forms list box and
        'forces it to load the new text files contents
        'then closes itself

        Dim i As Integer
        writeSettings = New IO.StreamWriter(frmSysAlive.hostsFile)
        For i = 0 To ipListBox.Items.Count - 1
            writeSettings.WriteLine(ipListBox.Items.Item(i))
        Next
        writeSettings.Close()

        frmSysAlive.ipListBox.Items.Clear()

        frmSysAlive.OpenHostsFile()

        Me.Close()
    End Sub

    Private Sub removeButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles removeButton.Click

        Dim i As Integer

        'find out which item is selected
        i = ipListBox.SelectedIndex

        'and remove it from the list
        ipListBox.Items.RemoveAt(i)
        ipListBox.Refresh()

        'select the first item on the list
        ipListBox.SelectedItem = 0
    End Sub

    Private Sub addButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles addButton.Click

        'if there's nothing there, let the user know
        If hostTextBox.Text = String.Empty Then
            MessageBox.Show("If you're finished, click Done.  If not, please type something in before clicking the Add button.", _
            "Are you threatening me?", MessageBoxButtons.OK, MessageBoxIcon.Stop)
            hostTextBox.Focus()
            Exit Sub
        End If

        Try

            'add what's in the text box to the list
            ipListBox.Items.Add(hostTextBox.Text)

            With hostTextBox
                .Clear()
                .Focus()
            End With

        Catch ex As Exception
            MessageBox.Show("An error occured. Please check your host entry.", "General Exception Error", MessageBoxButtons.OK, MessageBoxIcon.Stop)
            With hostTextBox
                .Clear()
                .Focus()
            End With
        End Try

    End Sub
End Class