'SysAlive child form: frmOptions - for setting the options of the program
'by Luke Huckaba (cougar694u) - luke@69cougar.com
'05/11/06

Imports System.IO
Imports System.Xml
Imports System.Xml.Serialization

Public Class frmOptions

    Private Sub quitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles quitButton.Click
        Me.Close()
    End Sub

    Private Sub frmOptions_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        'populate the options
        'if the file doesn't exist yet, everything will be blank
        'except for interval & ping time out, which will be 0
        pingTextBox.Text = frmSysAlive.pingTimeOutInteger.ToString
        timerTextBox.Text = frmSysAlive.timeIntervalInteger.ToString
        serverTextBox.Text = frmSysAlive.smtpServerAddress
        fromTextBox.Text = frmSysAlive.fromAddress
        toTextBox.Text = frmSysAlive.toAddress
        ccTextBox.Text = frmSysAlive.ccAddress
        bccTextBox.Text = frmSysAlive.bccAddress

    End Sub

    Private Sub saveButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles saveButton.Click
        'this sub saves the configuration to the xml file

        'SMTP server, to address & from address cannot be empty
        'if so, let th euser know
        If serverTextBox.Text = String.Empty Or fromTextBox.Text = String.Empty _
        Or toTextBox.Text = String.Empty Then
            MessageBox.Show("Mail server, From address, and To address cannot be blank. " & _
            "Please check your entries", "DOH!", MessageBoxButtons.OK, MessageBoxIcon.Stop)
            Exit Sub
        End If

        Try

            Dim cf As New classConfig

            With cf

                .Ping = pingTextBox.Text
                .Tick = timerTextBox.Text
                .SMTP = serverTextBox.Text
                .From = fromTextBox.Text
                .ToAddress = toTextBox.Text
                .CC = ccTextBox.Text
                .BCC = bccTextBox.Text

            End With

            'write the XML file
            Dim ser As New XmlSerializer(cf.GetType)

            Dim tw As TextWriter
            tw = New StreamWriter(frmSysAlive.settingsFile, False)
            ser.Serialize(tw, cf)
            tw.Close()

        Catch formatException As FormatException
            MessageBox.Show("Ping Time out & Timer Interval must be numeric.  Please check your entries.", _
            "OOPS!", MessageBoxButtons.OK, MessageBoxIcon.Stop)

        Catch ex As Exception
            MessageBox.Show("Error: " & ex.Message, "General Exception Error")

        End Try

        frmSysAlive.UpdateSettings()
        Me.Close()


    End Sub

    Private Sub testButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles testButton.Click
        Dim testEmail As New classTestEmail
        'when the user clicks test, save the settings first, then try the test
        saveButton_Click(sender, e)
        testEmail = New classTestEmail(1)
    End Sub

End Class